Status: Closed Start date: 2009-07-09

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Problem:

1. I'd like to be able to add a query for all issues not currently assigned a version.  I can do this only by selecting using an "is not"

filter with all versions selected.  If another is added then the query becomes invalid

2. I'd like to be able to add a query where a custom field has not been filled in.  It is not currently possible to do this

3. #3395 I'd like to be able to add a query where the start / end date is empty

Resolution:

Allow blank / empty filter values when creating a query. When configured the query only returns issues where the field is left blank.

Related issues:

Related to Redmine - Feature #3395: add ability to filter on blank start and ... Closed 2009-05-20

History

#1 - 2009-07-21 10:46 - Ewan Makepeace

This is achieved using the (existing) TargetVersion None option?

Not possible for dates however.

#2 - 2009-07-21 18:04 - Anthony Gerrard

OK. As Ewan says point 1 can be solved by selecting "none" from the first drop down for version.  I hadn't spotted this (maybe a usability issue?).

This still leaves points 2 and 3 unsolved.  This would be solved be allowing the "none" option for all field types.  Maybe a different label might make it

more obvious what it means e.g. "is empty" or "is blank".

#3 - 2009-08-01 00:45 - Lucas Panjer

Regarding point 1:

It would be nice if you could create a query with "Target version": none across all projects.

This seems possible when you construct a query in a project, by that clause disappears when you save it with "For all projects" checked.

This makes sense as versions are tied to projects, but it doesn't seem to be possible to create a query for all issues not assigned to a version across

all projects. Perhaps if the query is set to span projects the only options for "Target version" should be "none" and "any".

#4 - 2010-07-15 14:42 - Nikolay Kotlyarov

+1

#5 - 2011-11-24 05:30 - Mischa The Evil

Lucas Panjer wrote:

Regarding point 1:

It would be nice if you could create a query with "Target version": none across all projects.

This seems possible when you construct a query in a project, by that clause disappears when you save it with "For all projects" checked.

 Yes indeed. See #3869. Though this behavior changed while time passed by. Currently (source:/trunk@7885) you should be able to do such query

on the cross-project issuelist (/issues).

#6 - 2011-11-24 05:41 - Mischa The Evil
https://www.redmine.org/issues/3395
https://www.redmine.org/issues/3869
https://www.redmine.org/projects/redmine/repository/svn/revisions/7885/entry/trunk


- Status changed from New to Closed

Anthony Gerrard wrote:

Problem:

1. I'd like to be able to add a query for all issues not currently assigned a version.  I can do this only by selecting using an "is not" filter with all

versions selected.  If another is added then the query becomes invalid

 Seems obvious by now.

2. I'd like to be able to add a query where a custom field has not been filled in.  It is not currently possible to do this

 Currently (source:/trunk@7885) most of the (logical & needed) custom field types have a 'none' value in the issuelist filter:

Format Includes 'none' value

Text No

Long text No

Integer Yes

Float Yes

List Yes

Date Yes

Boolean No

User Yes

Version Yes

3. #3395 I'd like to be able to add a query where the start / end date is empty

 Implemented in r7841 for issue #9607.
